> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roark.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a call

> Retrieve an existing call by its unique identifier



## OpenAPI

````yaml /api-reference/openapi.documented.json get /v1/call/{callId}
openapi: 3.1.0
info:
  title: Roark Analytics API
  description: >-
    The Roark Analytics API gives you access to the same API that powers the
    award winning Roark Analytics platform.
  version: 1.0.0
servers:
  - description: Production
    url: https://api.roark.ai
security:
  - Bearer: []
tags:
  - name: Health
    x-displayName: Health
  - name: Authentication
    x-displayName: Current credential
  - name: Project API Key
    x-displayName: Project API keys
  - name: Personal API Key
    x-displayName: Personal API keys
  - name: Agent
    x-displayName: Agents
  - name: Agent Endpoint
    x-displayName: Endpoints
  - name: Tool
    x-displayName: Tools
  - name: Agent Setup
    x-displayName: Automatic test setup
  - name: Autoimprove
    x-displayName: Autoimprove
  - name: Customer Flow
    x-displayName: Customer flows
  - name: Customer Flow Folder
    x-displayName: Customer flow folders
  - name: Simulation Persona
    x-displayName: Personas
  - name: Simulation Environment
    x-displayName: Environments
  - name: Simulation Template
    x-displayName: Templates
  - name: Simulation Run Plan
    x-displayName: Plans
  - name: Simulation Run
    x-displayName: Runs
  - name: Simulation Tool Mock
    x-displayName: Tool mocks and fixtures
  - name: Metric
    x-displayName: Definitions
  - name: Metric Variant
    x-displayName: Variants
  - name: Metric Policy
    x-displayName: Policies
  - name: Metric Collection Job
    x-displayName: Collection jobs
  - name: Call
    x-displayName: Calls
  - name: Chat
    x-displayName: Chats
  - name: Customer
    x-displayName: Customers
  - name: Issue
    x-displayName: Issues
  - name: Analytics
    x-displayName: Analytics
  - name: Dashboard
    x-displayName: Dashboards
  - name: Live Report
    x-displayName: Reports
  - name: Agent Connection
    x-displayName: Agent platforms
  - name: Calendar Connection
    x-displayName: Calendars
  - name: MCP Server Connection
    x-displayName: MCP servers
  - name: Knowledge Base
    x-displayName: Knowledge bases
  - name: HTTP Request Definition
    x-displayName: HTTP request definitions
  - name: Webhook
    x-displayName: Webhooks
  - name: Config
    x-displayName: Config as code
  - name: Organization Project
    x-displayName: Projects
  - name: Organization Project Member
    x-displayName: Project members
  - name: Usage
    x-displayName: Usage
  - name: Benchmark
    x-displayName: Benchmarks
paths:
  /v1/call/{callId}:
    get:
      tags:
        - Call
      summary: Get a call
      description: Retrieve an existing call by its unique identifier
      operationId: getV1CallByCallId
      parameters:
        - in: path
          name: callId
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Unique identifier for the call
                        example: 550e8400-e29b-41d4-a716-446655440000
                      projectId:
                        type: string
                        format: uuid
                        description: ID of the project this call belongs to
                        example: 660e8400-e29b-41d4-a716-446655440001
                      title:
                        type:
                          - string
                          - 'null'
                        description: Auto-generated title for the call based on content
                        example: Customer support inquiry
                      summary:
                        type:
                          - string
                          - 'null'
                        description: Auto-generated summary of the call conversation
                        example: Customer inquired about billing and payment options
                      status:
                        type:
                          - string
                          - 'null'
                        enum:
                          - RINGING
                          - IN_PROGRESS
                          - ENDED
                        description: Current status of the call
                        example: ENDED
                      callDirection:
                        type: string
                        enum:
                          - INBOUND
                          - OUTBOUND
                        description: Direction of the call (inbound or outbound)
                        example: INBOUND
                      startedAt:
                        type: string
                        description: Timestamp when the call started
                        example: '2024-01-15T10:00:00Z'
                      endedAt:
                        type:
                          - string
                          - 'null'
                        description: Timestamp when the call ended
                        example: '2024-01-15T10:30:00Z'
                      durationMs:
                        type:
                          - number
                          - 'null'
                        description: Duration of the call in milliseconds
                        example: 1800000
                      endedStatus:
                        type:
                          - string
                          - 'null'
                        enum:
                          - PARTICIPANTS_DID_NOT_SPEAK
                          - AGENT_DID_NOT_ANSWER
                          - AGENT_DID_NOT_SPEAK
                          - AGENT_STOPPED_SPEAKING
                          - AGENT_ENDED_CALL
                          - AGENT_SAID_END_CALL_PHRASE
                          - AGENT_TRANSFERRED_CALL
                          - AGENT_BUSY
                          - AGENT_ERROR
                          - CUSTOMER_ENDED_CALL
                          - VOICE_MAIL_REACHED
                          - SILENCE_TIME_OUT
                          - PHONE_CALL_PROVIDER_CONNECTION_ERROR
                          - CUSTOMER_DID_NOT_ANSWER
                          - CUSTOMER_DID_NOT_SPEAK
                          - CUSTOMER_STOPPED_SPEAKING
                          - CUSTOMER_BUSY
                          - DIAL_ERROR
                          - MAX_DURATION_REACHED
                          - UNKNOWN
                        description: Status indicating how the call ended
                        example: AGENT_ENDED_CALL
                      recordingUrl:
                        type:
                          - string
                          - 'null'
                        description: >-
                          Pre-signed URL to the call recording (expires in 1
                          hour)
                        example: https://s3.amazonaws.com/bucket/recording.mp3?...
                      recordingUrlAccess:
                        type: string
                        enum:
                          - AVAILABLE
                          - NOT_AVAILABLE
                          - RESTRICTED
                        description: >-
                          Indicates the status of `recordingUrl`. `AVAILABLE`:
                          signed URL returned. `NOT_AVAILABLE`: no recording on
                          file yet (e.g. still processing). `RESTRICTED`: the
                          calling API key does not have the `recording:read`
                          permission and the URL has been withheld.
                        example: AVAILABLE
                      simulationJobId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                        description: >-
                          ID of the simulation job if this call was generated by
                          a simulation
                        example: 880e8400-e29b-41d4-a716-446655440003
                      supersededByCallId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                        description: >-
                          ID of the call that superseded this one (if
                          applicable)
                        example: 990e8400-e29b-41d4-a716-446655440004
                      externalId:
                        type:
                          - string
                          - 'null'
                        description: >-
                          Caller-supplied correlation ID echoed back from the
                          create request, if any was provided
                        example: session-abc-123
                      agents:
                        type:
                          - array
                          - 'null'
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            agentVersionId:
                              type:
                                - string
                                - 'null'
                              format: uuid
                              description: >-
                                For an agent hosted on Roark, the version of it
                                that handled the call
                            endpoint:
                              type:
                                - object
                                - 'null'
                              properties:
                                id:
                                  type: string
                                  format: uuid
                                environment:
                                  type: string
                                phoneNumberE164:
                                  type:
                                    - string
                                    - 'null'
                              required:
                                - id
                                - environment
                          required:
                            - id
                        description: Agent information
                        example:
                          - id: 550e8400-e29b-41d4-a716-446655440000
                            endpoint:
                              id: 550e8400-e29b-41d4-a716-446655440000
                              environment: Production
                              phoneNumberE164: '+1234567890'
                      customers:
                        type:
                          - array
                          - 'null'
                        items:
                          type: object
                          properties:
                            phoneNumberE164:
                              type:
                                - string
                                - 'null'
                            label:
                              type:
                                - string
                                - 'null'
                            customerProfileId:
                              type:
                                - string
                                - 'null'
                              format: uuid
                        description: Customer information
                        example:
                          - phoneNumberE164: '+1234567891'
                            label: customer-01
                      createdAt:
                        type:
                          - string
                          - 'null'
                        description: Timestamp when the call record was created
                        example: '2024-01-15T10:31:00Z'
                      updatedAt:
                        type:
                          - string
                          - 'null'
                        description: Timestamp when the call record was last updated
                        example: '2024-01-15T10:31:00Z'
                      properties:
                        type:
                          - object
                          - 'null'
                        additionalProperties: {}
                        description: Custom properties associated with the call
                        example:
                          ticketId: TCK-123
                          department: sales
                      policyIds:
                        type:
                          - array
                          - 'null'
                        items:
                          type: string
                          format: uuid
                        description: >-
                          IDs of metric policies that have been applied to this
                          call
                        example:
                          - 550e8400-e29b-41d4-a716-446655440000
                    required:
                      - id
                      - projectId
                      - callDirection
                      - startedAt
                      - recordingUrlAccess
                    title: CallResponse
                    description: Response containing call information
                required:
                  - data
          description: Call retrieved successfully
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Authentication error
              example:
                type: authentication
                code: unauthorized
                message: Authentication required
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Permission error
              example:
                type: forbidden
                code: permission_denied
                message: You do not have permission to access this resource
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Not found error
              example:
                type: not_found
                code: resource_not_found
                message: The requested resource could not be found
          description: Call not found
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Rate limit error
              example:
                type: rate_limit
                code: too_many_requests
                message: Rate limit exceeded
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
                description: Server error
              example:
                type: internal
                code: internal_error
                message: Internal server error
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Roark from '@roarkanalytics/sdk';


            const client = new Roark({
              bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
            });


            const response = await
            client.call.getByID('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from roark_analytics import Roark

            client = Roark(
                bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
            )
            response = client.call.get_by_id(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - validation
            - authentication
            - forbidden
            - not_found
            - conflict
            - payment_required
            - rate_limit
            - internal
          description: The error type category
          examples:
            - validation
            - authentication
        code:
          type: string
          description: Machine-readable error code identifier
          examples:
            - invalid_parameter
            - missing_required_field
            - unauthorized
        message:
          type: string
          description: Human-readable error message
          examples:
            - The request was invalid
            - Authentication required
        param:
          type: string
          description: The parameter that caused the error (if applicable)
          examples:
            - email
            - user_id
        details:
          description: Additional error context information
      required:
        - type
        - code
        - message
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.